Subject: Re: [RFC 2/3] tc: deprecate TC_ACT_QUEUED

From: Alexei Starovoitov <[email-masked]>
Date: Wed, 22 Apr 2015 19:46:35 -0700

On 4/22/15 4:39 PM, Cong Wang wrote:
> On Wed, Apr 22, 2015 at 3:22 PM, Alexei Starovoitov <[email-masked]> wrote:
>> On 4/21/15 10:02 PM, Cong Wang wrote:
>>>
>>> On Tue, Apr 21, 2015 at 12:27 PM, Alexei Starovoitov <[email-masked]>
>>> wrote:
>>>>
>>>> TC_ACT_QUEUED was always an alias of TC_ACT_STOLEN.
>>>> Get rid of redundant checks in all qdiscs.
>>>> Instead do it once.
>>>
>>>
>>> The current code can be easily extended, while your code not.
>>> I don't see the need of this change.
>>
>>
>> well, iproute2 doesn't use TC_ACT_QUEUED action at all and
>> TC_ACT_STOLEN is used by mirred. All in-tree qdiscs alias them.
>> If you're saying that some future actions together with
>> some future qdiscs may take advantage of that, then why they didn't
>> use it over the last 10 years?
>> Having both that do the same thing is only confusing.
>> I think having one value to indicate 'stolen' condition makes TC
>> code easier to understand.
>
> Then remove it, I am all for this. ;)

TC_ACT_QUEUED cannot be removed.
Only deprecated with backwards compatibility the way this patch did it.
That should have been obvious.

The other two threads degenerated into non-technical comments.

Anyway, this set was RFC to answer my main question whether I should
continue with tc cleanup or stop right here. I got my answer.